Skip to content

Family : Provider

All operations require authentication.

8 operationsv1/ovhCloudConnect/{serviceName}
Agent setup

List circuitsProduction

GET
/1.0/ovhCloudConnect/{serviceName}/circuit

Returns the IDs of the circuits created from Google pairing keys.

Path parameters

serviceName
required
stringuuid

Service name

Response

200integer[]successful operation

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/circuit \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

List service keysProduction

GET
/1.0/ovhCloudConnect/{serviceName}/serviceKey

Returns the IDs of all service keys generated for the provider, current and past.

Path parameters

serviceName
required
stringuuid

Service name

Response

200integer[]successful operation

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/serviceKey \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get circuitProduction

GET
/1.0/ovhCloudConnect/{serviceName}/circuit/{id}

Returns the circuit's pairing key, status and operational status.

Path parameters

id
required
integer

Id

serviceName
required
stringuuid

Service name

Response

200Circuitsuccessful operation
creationDate
read-only
stringdate-time

Creation date of the circuit

doneDate
read-only
stringdate-time

Date when the circuit was terminated

id
read-only
integer

Circuit id

key
read-only
string

Pairing key of the circuit

lastUpdate
read-only
stringdate-time

Last update date of the circuit

name
read-only
string

Circuit name

operationalStatus
read-only
OperationalStatusEnum

Operational status of the circuit

Valuesdegradeddownunknownup
status
read-only
StatusEnum

Circuit status

Valuesactivependingpending_customerterminatedto_check

Example uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/circuit/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "creationDate": "2024-01-01T12:00:00Z", "doneDate": "2024-01-01T12:00:00Z", "id": 0, "key": "string", "lastUpdate": "2024-01-01T12:00:00Z", "name": "string", "operationalStatus": "degraded", "status": "active"}

Get service keyProduction

GET
/1.0/ovhCloudConnect/{serviceName}/serviceKey/{serviceKeyId}

Returns the key value, its provider and its status.

Path parameters

serviceKeyId
required
integer

Service key ID

serviceName
required
stringuuid

Service name

Response

200Keysuccessful operation
id
read-only
integer

Service Key id

key
read-only
string

Reference of the service

provider
read-only
ProviderEnum

Service Key provider

ValuesOVHcloudRISQconsoleconnectdcexpdigitalrealtyedgeequinixfibrenoiregoogleintercloudinternalinterxionmegaportorange
status
read-only
StatusEnum

Service Key status

ValuesactivecancelleddoingterminatedtoCheck

Example uses serviceKeyId = 0, serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/serviceKey/{serviceKeyId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "key": "string", "provider": "OVHcloud", "status": "active"}

Associate pairing keyProduction

POST
/1.0/ovhCloudConnect/{serviceName}/pairingKey

Consumes a Google Cloud Partner Interconnect pairing key to create a circuit; the service needs a vRack (async task).

Path parameters

serviceName
required
stringuuid

Service name

Query parameters

pairingKey
required
string

Google pairing key

Response

200Tasksuccessful operation
function
read-only
FunctionEnum

Task function

ValuesaddDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterface
id
read-only
integer

Task id

resourceId
read-only
integer

Reference of the created resource

status
read-only
StatusEnum

Task status

Valuesdenieddoingdoneerrorpausetodo

Example uses serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/pairingKey \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}

Send service keyProduction

POST
/1.0/ovhCloudConnect/{serviceName}/serviceKey/{serviceKeyId}/send

Emails the key value to the given address.

Path parameters

serviceKeyId
required
integer

Service key ID

serviceName
required
stringuuid

Service name

Request body (required)

email
required
string

Email address to send the key

Response

200SendKeyAnswersuccessful operation
messageCode
read-only
Enum

message code for UX to display appropriate text

ValuesmailSent

Example uses serviceKeyId = 0, serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/serviceKey/{serviceKeyId}/send \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "messageCode": "mailSent"}

Regenerate service keyProduction

POST
/1.0/ovhCloudConnect/{serviceName}/serviceKey/{serviceKeyId}/regenerate

Generates a new key that the provider uses to set up the connection; previous service key is no longer active.

Path parameters

serviceKeyId
required
integer

Service key ID

serviceName
required
stringuuid

Service name

Response

200Keysuccessful operation
id
read-only
integer

Service Key id

key
read-only
string

Reference of the service

provider
read-only
ProviderEnum

Service Key provider

ValuesOVHcloudRISQconsoleconnectdcexpdigitalrealtyedgeequinixfibrenoiregoogleintercloudinternalinterxionmegaportorange
status
read-only
StatusEnum

Service Key status

ValuesactivecancelleddoingterminatedtoCheck

Example uses serviceKeyId = 0, serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/serviceKey/{serviceKeyId}/regenerate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "id": 0, "key": "string", "provider": "OVHcloud", "status": "active"}

Delete circuitProduction

DELETE
/1.0/ovhCloudConnect/{serviceName}/circuit/{id}

Dissociates the pairing key and removes the circuit (async task).

Path parameters

id
required
integer

Id

serviceName
required
stringuuid

Service name

Response

200Tasksuccessful operation
function
read-only
FunctionEnum

Task function

ValuesaddDatacenterConfigurationaddDatacenterExtraConfigurationaddPopConfigurationaddVrackconsumePairingKeydelDatacenterConfigurationdelDatacenterExtraConfigurationdelPopConfigurationdeleteCircuitdiagAccessEdgediagMacsdiagPeeringdiagPeeringExtradiagRouteslockInterfaceremoveVrackresetEdgeConfigurationunlockInterface
id
read-only
integer

Task id

resourceId
read-only
integer

Reference of the created resource

status
read-only
StatusEnum

Task status

Valuesdenieddoingdoneerrorpausetodo

Example uses id = 0, serviceName = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/1.0/ovhCloudConnect/{serviceName}/circuit/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "addDatacenterConfiguration", "id": 0, "resourceId": 0, "status": "denied"}